Skip to main content
GET
Who sells a part, at what price, with what lead time and minimum order.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
part_id
string
part_number
string
vendor_id
string
vendor_number
string
vendor_name
string
supplier_part_number
string
is_preferred
string
unit_price
string
lead_time_days
string
minimum_order_quantity
string
order_multiple
string
last_purchased_on
string
is_active
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
is_preferred
boolean<boolean>
last_purchased_on
string<date>
lead_time_days
integer<integer>
minimum_order_quantity
number<numeric>
order_multiple
number<numeric>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_number
string<character varying>
Maximum string length: 80
supplier_part_number
string<character varying>
Maximum string length: 120
unit_price
number<numeric>
vendor_id
string<uuid>

Note: This is a Foreign Key to vendor_directory.vendor_id.

vendor_name
string<character varying>
Maximum string length: 200
vendor_number
string<character varying>
Maximum string length: 60